Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 14 Feb 2020 04:16:23 +0000 (UTC)
From:      Kyle Evans <kevans@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r357903 - head/contrib/ncurses/ncurses/base
Message-ID:  <202002140416.01E4GN9l077716@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: kevans
Date: Fri Feb 14 04:16:22 2020
New Revision: 357903
URL: https://svnweb.freebsd.org/changeset/base/357903

Log:
  ncurses: correct check for gcc >= 5.0
  
  The hack in question is intended to workaround seemingly bogus #line markers
  in cpp output. As far as I can tell, llvm cpp doesn't do this by default, so
  there's no reason to add -P.
  
  In our /bin/sh, the main incantation should be placed in a sub-shell in
  order to properly pipe the output to fgrep.
  
  The main motivation for this change is admittedly to stop emitting the noise
  about clang not being gcc in make -s buildworld
  
  MFC after:	1 week
  Differential Revision:	https://reviews.freebsd.org/D22952

Modified:
  head/contrib/ncurses/ncurses/base/MKlib_gen.sh

Modified: head/contrib/ncurses/ncurses/base/MKlib_gen.sh
==============================================================================
--- head/contrib/ncurses/ncurses/base/MKlib_gen.sh	Fri Feb 14 03:21:03 2020	(r357902)
+++ head/contrib/ncurses/ncurses/base/MKlib_gen.sh	Fri Feb 14 04:16:22 2020	(r357903)
@@ -73,7 +73,7 @@ USE="$3"
 # determine if we are using gcc, and if so, what version because the proposed
 # solution uses a nonstandard option.
 PRG=`echo "$1" | $AWK '{ sub(/^[[:space:]]*/,""); sub(/[[:space:]].*$/, ""); print; }' || exit 0`
-FSF=`"$PRG" --version 2>/dev/null || exit 0 | fgrep "Free Software Foundation" | head -n 1`
+FSF=`("$PRG" --version 2>/dev/null || exit 0) | fgrep "Free Software Foundation" | head -n 1`
 ALL=`"$PRG" -dumpversion 2>/dev/null || exit 0`
 ONE=`echo "$ALL" | sed -e 's/\..*$//'`
 if test -n "$FSF" && test -n "$ALL" && test -n "$ONE" ; then



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?202002140416.01E4GN9l077716>